import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import { createI18n } from 'vue-i18n'
import messages from './lang'

import 'normalize.css'
import '@/scss/main.scss'

type MessageSchema = typeof messages.en

const i18n = createI18n<[MessageSchema], 'en' | 'de'>({
  locale: 'en',
  fallbackLocale: 'en',
  messages
})

const app = createApp(App)

app.use(router)
app.use(i18n)

app.mount('body')
